org.apache.avro.io.parsing

## Enum Symbol.Kind

- java.lang.Object
- - java.lang.Enum<Symbol.Kind>
  - - org.apache.avro.io.parsing.Symbol.Kind

- All Implemented Interfaces:
    Serializable, Comparable<Symbol.Kind>
  Enclosing class:
    Symbol

      public static enum Symbol.Kind
      extends Enum<Symbol.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALTERNATIVE` non-terminal to represent the union
    `EXPLICIT_ACTION` non-terminal action symbol which is explicitly consumed
    `IMPLICIT_ACTION` non-terminal action symbol which are automatically consumed
    `REPEATER` non-terminal to represent the contents of an array or map
    `ROOT` Start symbol for some grammar
    `SEQUENCE` non-terminal symbol which is a sequence of one or more other symbols
    `TERMINAL` terminal symbols which have no productions

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Symbol.Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Symbol.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TERMINAL

          public static final Symbol.Kind TERMINAL

      terminal symbols which have no productions

    - #### ROOT

          public static final Symbol.Kind ROOT

      Start symbol for some grammar

    - #### SEQUENCE

          public static final Symbol.Kind SEQUENCE

      non-terminal symbol which is a sequence of one or more other symbols

    - #### REPEATER

          public static final Symbol.Kind REPEATER

      non-terminal to represent the contents of an array or map

    - #### ALTERNATIVE

          public static final Symbol.Kind ALTERNATIVE

      non-terminal to represent the union

    - #### IMPLICIT_ACTION

          public static final Symbol.Kind IMPLICIT_ACTION

      non-terminal action symbol which are automatically consumed

    - #### EXPLICIT_ACTION

          public static final Symbol.Kind EXPLICIT_ACTION

      non-terminal action symbol which is explicitly consumed

  - ### Method Detail

    - #### values

          public static Symbol.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Symbol.Kind c : Symbol.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Symbol.Kind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.